
QGIS Application - Bug report #761

GRASS shell

2007-09-03 03:10 AM - leo-lami -

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10820

Description

The GRASS shell does not work well:

1. Cannot paste: Right button show a menu. In this terminal the menu lacks the paste function. CtrlV does not work.

2. After running a shell script, i don't get back the prompt, have to quit qgis to get another terminal.

3. The left arrow has a weird behavior, the line gets disrupted after 2 or 3 steps to the left. I general, I cannot edit the command line.

4. The 'Canc' keyworks like 'BackSpace' key

Points 1 e 4 are also in ver 0.8

I see that the TERM variable is setted 'vt100', may be 'xterm' is better but this setting must be done when the GRASS shell starts in

QGIS.

Regards

Leonardo

History

#1 - 2007-09-03 06:15 AM - leo-lami -

The GRASS shell does not work well:

1. Cannot paste: Right button show a menu. In this terminal the menu lacks the paste function. CtrlV does not work.

2. After running a shell script, i don't get back the prompt, have to quit qgis to get another terminal.

3. The left arrow has a weird behavior, the line gets disrupted after 2 or 3 steps to the left. I general, I cannot edit the command line.

4. The 'Delete' keyworks like 'BackSpace' key

Points 1 e 4 are also in ver 0.8

I see that the TERM variable is setted 'vt100', may be 'xterm' is better but this setting must be done when the GRASS shell starts in QGIS.

Regards

Leonardo

#2 - 2007-09-03 06:20 AM - leo-lami -

Sorry for the mistake: the 'Canc' key is the 'Delete' key.
#3 - 2008-03-12 07:50 AM - leolami -

Somethings is resolved. I put here the bugs again present:

1. Cannot paste: Right button show a menu. In this terminal the menu lacks the paste function. CtrlV does not work.

2. The 'Delete' works like 'BackSpace'

#4 - 2008-11-29 03:10 AM - Anne Ghisla

- Status changed from Open to Closed

- Resolution set to worksforme

On Windows XP Home, QGIS 1.0 preview1:

1. Paste is performed with central button (or wheel). Right button has no action. Ctrl+V does not work.

2. Arrows don't disrupt lines.

3. Delete is not recognized. It writes temporary ~.

MINGW shell still lacks of some useful features owned by Linux bash shell, but AFAIK shows no bugs.

#5 - 2008-11-29 04:14 AM - Anne Ghisla

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

#6 - 2009-04-28 12:32 AM - Paolo Cavallini

Fixed in commit:73e86da0 (SVN r10666) on *nix, OSX and minGW. Still to be solved for MSVC.

#7 - 2009-06-26 10:55 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Feedback to Closed

#8 - 2009-08-12 12:52 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#9 - 2009-08-12 12:53 AM - Paolo Cavallini

- Status changed from Feedback to Open

#10 - 2009-08-12 12:53 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed
